=== debian/changelog ===
glite-lb-logger-msg (1.1.3-3) unstable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Fri, 04 May 2012 14:41:45 +0200
