=== debian/control ===
Source: glite-lb-logger-msg
Priority: extra
Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
Uploaders: František Dvořák <valtri@civ.zcu.cz>
Build-Depends: debhelper (>= 7.0.50~), activemq-cpp-dev, chrpath, glite-lb-logger-dev, libcppunit-dev, libglite-lbjp-common-log-dev, libglite-lbjp-common-trio-dev, libtool, pkg-config
Standards-Version: 3.9.1
Section: misc
Homepage: http://glite.cern.ch
DM-Upload-Allowed: yes
Vcs-Cvs: :pserver:anonymous@jra1mw.cvs.cern.ch:/cvs/jra1mw
Vcs-Browser: http://jra1mw.cvs.cern.ch/cgi-bin/jra1mw.cgi

Package: glite-lb-logger-msg
Section: misc
Architecture: any
Depends: glite-lb-logger, ${shlibs:Depends}, ${misc:Depends}
Description: notification->msg plugin
 Plugin for delivering L&B notification messages into the messaging
 infrastructure.

Package: glite-lb-logger-msg-dbg
Section: debug
Architecture: any
Priority: extra
Depends: glite-lb-logger-msg (= ${binary:Version}), ${misc:Depends}
Description: gLite L&B logger MSG plugin debugging symbols
 This package contains debugging symbols for gLite L&B logger MSG plugin.
