## glite-lb-logger-msg 1.1.4

=== Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 version=${module.version}
 
 CC=gcc
-CXX=gcc
+CXX=g++
 
 VPATH:=${top_srcdir}/src:${top_srcdir}/interface:${top_srcdir}/test:${top_srcdir}/doc:${top_srcdir}/examples:${top_srcdir}/config
 
@@ -90,7 +90,7 @@
 	gzip -f $(notdir $?)
 
 glite-lb-cmsclient: cmsclient.o
-	$(CC) $< ${EXT_LIB} -o $@
+	$(CXX) $< ${EXT_LIB} -o $@
 
 man: ${MAN_GZ}
