=== debian/changelog ===
glite-lb-logger-msg (1.1.4-1) unstable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Thu, 26 Jul 2012 12:28:21 +0200
