## glite-lb-logger-msg 1.2.1

=== Makefile ===
--- 
+++ 
@@ -11,6 +11,8 @@
 nothrflavour=gcc32
 thrflavour=gcc32pthr
 
+default: all
+
 -include Makefile.inc
 -include ${top_srcdir}/project/version.properties
 
@@ -21,21 +23,32 @@
 
 VPATH:=${top_srcdir}/src:${top_srcdir}/interface:${top_srcdir}/test:${top_srcdir}/doc:${top_srcdir}/examples:${top_srcdir}/config
 
+SOURCES=\
+	config/msg.* \
+	examples/*.cpp \
+	project/il.conf \
+	src/*.cpp src/msg-* \
+	LICENSE Makefile
+SOURCES_EXEC=src/msg-brokers
+
 VERSION=-DVERSION=\"GLite-${version}\"
 
-ACTIVEMQ_CFLAGS?=`PKG_CONFIG_PATH=${activemq_prefix}/${libdir}/pkgconfig pkg-config --cflags activemq-cpp`
-ACTIVEMQ_LIBS?=-L${activemq_prefix}/${libdir} -lactivemq-cpp
+ACTIVEMQ_CPP_CFLAGS?=`${activemq_prefix}/bin/activemqcpp-config --cflags`
+ACTIVEMQ_CPP_LIBS?=`${activemq_prefix}/bin/activemqcpp-config --libs`
 
 CPPUNIT_LIBS?=-L${cppunit_prefix}/${libdir} -lcppunit
 CPPUNIT_CFLAGS?=-I${cppunit_prefix}/include
 
+GLITE_LBJP_COMMON_GSS_CFLAGS?=`PKG_CONFIG_PATH=$$PKG_CONFIG_PATH:${PREFIX}${prefix}/${libdir}/pkgconfig pkg-config glite-security-gss --cflags`
+
 DEBUG:=-g -O0
-CFLAGS:=${CFLAGS} ${DEBUG} \
+CFLAGS:=${DEBUG} \
 	-I${stagedir}${prefix}/include -I${top_srcdir}/src \
-	${ACTIVEMQ_CFLAGS} \
+	${ACTIVEMQ_CPP_CFLAGS} \
 	-D_GNU_SOURCE \
 	${COVERAGE_FLAGS} \
-	${VERSION} ${LB_STANDALONE_FLAGS} ${LB_PERF_FLAGS} 
+	${VERSION} ${LB_STANDALONE_FLAGS} ${LB_PERF_FLAGS} \
+	${GLITE_LBJP_COMMON_GSS_CFLAGS} ${CFLAGS}
 
 LDFLAGS:=${LDFLAGS} -L${stagedir}${prefix}/${libdir} \
 	${COVERAGE_FLAGS} 
@@ -58,7 +71,7 @@
 
 COMMON_LIB:=
 
-EXT_LIB:=${ACTIVEMQ_LIBS}
+EXT_LIB:=${ACTIVEMQ_CPP_LIBS}
 
 GLITE_GSS_LIB:=
 
@@ -76,8 +89,6 @@
 else
 default_flavour=_${nothrflavour}
 endif
-
-default: all 
 
 all compile: ${PLUGIN_LIB} ${EXAMPLES} ${SCRIPTS}
 
@@ -127,7 +138,10 @@
 	sed -e 's:@glite_prefix@:${sysroot}${prefix}:' -e 's:@glite_etc@:${sysconfdir}:' $< > $@
 
 clean:
-	rm -rvf .libs/ *.o *.lo ${PLUGIN_LIB} ${MAN_GZ} ${EXAMPLES}
+	rm -rvf .libs/ *.o *.lo ${PLUGIN_LIB} ${MAN_GZ} ${EXAMPLES} ${SCRIPTS}
+	rm -rvf dist ${package}-*.tar.gz
 
 distclean:
 	rm -rvf Makefile.inc *.spec debian/
+
+.PHONY: default all compile man stage check install clean distclean dist distcheck
