## glite-lb-logger-msg 1.2.8

=== debian/changelog ===
glite-lb-logger-msg (1.2.8-1) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Wed, 23 Jan 2013 19:04:58 +0100
