=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 Package: glite-lb-logger-msg
 Section: misc
 Architecture: any
-Depends: glite-lb-logger, ${shlibs:Depends}, ${misc:Depends}
+Depends: glite-lb-logger, libnet-ldap-perl, ${shlibs:Depends}, ${misc:Depends}
 Description: notification->msg plugin
  Plugin for delivering L&B notification messages into the messaging
  infrastructure.
