=== debian/rules ===
--- 
+++ 
@@ -44,7 +44,7 @@
 	find debian/tmp -name '*' -print | xargs -I {} -i bash -c "chrpath -d {} > /dev/null 2>&1" || echo 'Stripped RPATH'
 	mkdir -p debian/$(p_base)/usr/share/doc
 	mkdir -p debian/$(p_dbg)/usr/share/doc
-	mv debian/tmp/usr/share/doc/glite-lb-logger-msg-1.2.8 debian/$(p_base)/usr/share/doc/$(p_base)
+	mv debian/tmp/usr/share/doc/glite-lb-logger-msg-1.2.10 debian/$(p_base)/usr/share/doc/$(p_base)
 	rm -f debian/$(p_base)/usr/share/doc/$(p_base)/LICENSE
 	ln -s $(p_base) debian/$(p_dbg)/usr/share/doc/$(p_dbg)
