=== debian/changelog ===
glite-lb-logger-msg (1.2.11-1) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Fri, 22 Nov 2013 11:57:54 +0100
