=== debian/control ===
--- 
+++ 
@@ -23,5 +23,5 @@
 Architecture: any
 Priority: extra
 Depends: glite-lb-logger-msg (= ${binary:Version}), ${misc:Depends}
-Description: gLite L&B logger MSG plugin debugging symbols
+Description: Debugging symbols for gLite L&B logger MSG plugin
  This package contains debugging symbols for gLite L&B logger MSG plugin.
