=== debian/control ===
Source: glite-lb-logger-msg
Priority: extra
Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
Uploaders: František Dvořák <valtri@civ.zcu.cz>
Build-Depends: debhelper (>= 7.0.50~), activemq-cpp-dev, glite-lb-logger-dev, libcppunit-dev, libglite-lbjp-common-log-dev, libglite-lbjp-common-trio-dev, libtool-bin, perl-doc, pkg-config
Standards-Version: 3.9.1
Section: misc
Homepage: http://glite.cern.ch

Package: glite-lb-logger-msg
Architecture: any
Depends: glite-lb-logger, libnet-ldap-perl, ${shlibs:Depends}, ${misc:Depends}
Description: Plugin for sending notifications to messaging infrastructure
 L&B logger plugin for delivering notification messages to messaging
 infrastructure.

Package: glite-lb-logger-msg-dbg
Section: debug
Architecture: any
Depends: glite-lb-logger-msg (= ${binary:Version}), ${misc:Depends}
Description: Debugging symbols for gLite L&B logger MSG plugin
 L&B logger plugin for delivering notification messages to messaging
 infrastructure.
 .
 This package contains debugging symbols for gLite L&B logger MSG plugin.
