=== debian/watch ===
version=3
http://scientific.zcu.cz/emi/emi.lb.logger-msg/glite-lb-logger-msg-(.*)\.tar\.gz
